import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { FormGroup, ReactiveFormsModule } from '@angular/forms';
import { UiCheckboxModule } from '@ui/checkbox/checkbox.module';
import { UiTextareaModule } from '@ui/textarea/textarea.module';
import { SlutredovisningFormService } from '../../slutredovisning-form.service';
import { SlutredovisningFormStep0StillUnemployedComponent } from './slutredovisning-form-step0-still-unemployed.component';

describe('SlutredovisningFormStep0StillUnemployedComponent', () => {
  let component: SlutredovisningFormStep0StillUnemployedComponent;
  let fixture: ComponentFixture<SlutredovisningFormStep0StillUnemployedComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
      declarations: [SlutredovisningFormStep0StillUnemployedComponent],
      imports: [ReactiveFormsModule, UiTextareaModule, UiCheckboxModule],
      providers: [SlutredovisningFormService],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(SlutredovisningFormStep0StillUnemployedComponent);
    component = fixture.componentInstance;
    component.formGroupRef = new FormGroup({});
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
